import numpy as np
import bva

def get_doc_and_mesh():
    doc = brainvoyager.adoc                   # A VMR-with-Mesh must be the current document
    if doc is None:
        return (None, None)
    mesh = doc.current_mesh
    if mesh is None:
        return (doc, None)
    else:
        return (doc, mesh)

def smp_stats():
    print('\nDescription of SMPs of selected mesh document')
    n_smps = mesh.n_maps
    print('No. of maps:', n_smps)
    for i in range(n_smps):
        smp = bva.smparray_i(mesh, i) # "smparray_i" function of bv module provides direct acces to specified SMP as ndarray
        print('  SMP ' + str(i+1) + ' values  min: ' + str(smp.min()) + ' mean: ' + str(smp.mean()) + ' max: ' + str(smp.max()))
    print(' ')

def flip_smp_stats(smp_i):
    if smp_i >= mesh.n_maps:
        return
    smp = bva.smparray_i(mesh, smp_i)
    smp_flipped = -1.0 * smp # as an example, flip positive / negative values
    ok = bva.set_smparray_i(mesh, smp_i, smp_flipped)

doc, mesh = get_doc_and_mesh()
if mesh != None:
    smp_stats()
    flip_smp_stats(2)
    smp_stats()
#    mesh.smooth_geometry(200, 0.2)
    #mesh.inflate_geometry(500, 0.8, "")
#    mesh.CalculateCurvature()
#    mesh.smooth_current_map(5)
#    smp_stats()
    mesh.update_appearance()
