import numpy as np
import bva  # supports plugins by providing numpy array interface to internal BV data

doc_vmr = brainvoyager.active_document  # A VMR should be the current document 

# "vmrarray" function of 'bva' module provides direct access to VMR volume as ndarray
# this solves the very slow voxelwise access via scripting (see PythonScripts/VolumeVMR_SlowAccess.py)
#
arr = bva.vmrarray(doc_vmr)

#arr *= -1 # vectorized ndarray math is FAST - here in-place, changing volume directly!

arrf = arr.astype(np.float32)       # convert to float32 array
arrf2 = 225. - 1.0*arrf             # invert volume intensities
arr_ui8 = arrf2.astype(np.uint8)    # convert back to uint8 array
ret = bva.set_vmrarray(doc_vmr, arr_ui8) # copy array to internal volume C array
doc_vmr.update_view(True)              # to show inverted intensities in BV doc view
