
# Example of FMR-VTC coregistration using gradient-based and BBR-based procedure
# More realistic preprocessing would loop over subjects and sessions.

# we simply use current doc, which should be the preprocessed native VMR

doc_vmr = brainvoyager.active_document

use_BBR = False

# provide full file path or relative to VMR
fmr_file = "sub-01_ses-04_task-blocked_run-1_bold.fmr"

if use_BBR:
    doc_vmr.coregister_fmr_to_vmr_using_bbr(f'../func/{fmr_file}')
else:
    doc_vmr.coregister_fmr_to_vmr(f'../func/{fmr_file}', True) # 2nd param "iihc_func"

# We can easily construct produced IA and FA coregistration output files, i.e. for subsequent VTC creation:
IA = fmr_file[0:-4] + "-TO-" + doc_vmr.file_name[0:-4] + "_IA.trf"
if use_BBR:
    FA = fmr_file[0:-4] + "-TO-" + doc_vmr.file_name[0:-4] + "_BBR_FA.trf"
else:
    FA = fmr_file[0:-4] + "-TO-" + doc_vmr.file_name[0:-4] + "_FA.trf"
print(IA, FA)
