
# Example of VTC creation in MNI space, other spaces (native, ACPC, TAL) work very similarly
# More realistic preprocessing would loop over subjects, sessions and runs.

gsg_path = bv.sampledata_path + 'GSGData'

FMR = "CG_OBJECTS_SCCAI_3DMCTS_LTR_THPGLMF2c_SD3DSS4.00mm_TDTS2.0dp.fmr"
IA  = "CG_OBJECTS-TO-CG_3DT1MPR_IIHC_IA.trf"
FA  = "CG_OBJECTS-TO-CG_3DT1MPR_IIHC_FA.trf"
MNI = "CG_3DT1VMR_IIHC_TO_MNI_a12.trf"
VTC = "CG_OBJECTS_SCCAI_3DMCTS_LTR_THPGLMF2c_SD3DSS4.00mm_TDTS2.0dp" # name completed below
dataType = 2        # float32
relRes = 2          # 1 VTC voxel corresponds to 2 x 2 x 2 (8) VMR voxels
interpolMethod = 1  # trilinear
intensThresh = 100  # intensity threshold (voxels < thresh will be skipped)


fmr_pp   = "_SCCTBL_3DMCTS_THPGLMF3c"
vmr_base = f'sub-01_ses-04_acq-nondistorted_T1w_IIHC'
fmr_base =  'sub-01_ses-04_task-blocked_run-1_bold'

doc_vmr = bv.open(f'{gsg_path}/derivatives/sub-01/ses-04/anat/{vmr_base}.vmr')
if doc_vmr != None:
    fmr_file = f"../func/{fmr_base}{fmr_pp}.fmr"
    ia_trf   = f"../func/{fmr_base}-TO-{vmr_base}_IA.trf"
    fa_trf   = f"../func/{fmr_base}-TO-{vmr_base}_FA.trf"
    mni_trf  = f"{vmr_base}_TO_MNI_a12.trf"
    out_vtc  = f"{fmr_base}{fmr_pp}_MNI.vtc"
    res      = 2
    interpol = 2  # 0 -> nearest nbr, 1 -> trilin, 2 -> sinc
    ok = doc_vmr.create_vtc_in_mni_space(fmr_file, ia_trf, fa_trf, mni_trf, out_vtc, res, interpol)
else:
    print(f"  Error loading VMR file")
