from PySide6.QtWidgets import *

class MyDialog(QDialog):

    def __init__(self, parent=None):
        super(MyDialog, self).__init__(parent)
        # Create widgets
        self.edit = QLineEdit("your name here")
        self.button = QPushButton("Show Greeting")
        # Create layout and add widgets
        layout = QVBoxLayout()
        layout.add_widget(self.edit)
        layout.add_widget(self.button)
        
        self.push1 =  QPushButton("Press Me")
        layout.add_widget(self.push1)
        self.push2 =  QPushButton("Me too!")
        layout.add_widget(self.push2)
        self.check =  QCheckBox("Check Me")
        layout.add_widget(self.check)

        # Set dialog layout
        self.set_layout(layout)
        # Add button signal to greetings slot
        self.button.clicked.connect(self.greetings)
        self.push1.clicked.connect(self.change_push1_text)
        self.push2.clicked.connect(self.change_push2_text)
        self.check.stateChanged.connect(self.check_status_changed)
        
        self.window_title = 'My Dialog'

    # Greets the user
    def greetings(self):
        print(f'Hello {self.edit.text}')
        bv.print_to_console(f'Hello {self.edit.text}\n')
        
    # Changes button text
    def change_push1_text(self):
        self.push1.text = 'Thank You!'
        
    def change_push2_text(self):
        self.push2.text = 'Great!'
        
    def check_status_changed(self, state):
        if state == 2:
            self.check.text = "Thanks for checking me!"
        else:
            self.check.text = "Check Me"

dlg = MyDialog()
dlg.move(200, 50)
dlg.show()
