# example showing how to access viewpoint (stage's) position / orientation values

import os

def access_mesh_scene():
    doc = brainvoyager.active_document
    if doc is None:
        return
    print(doc.file_name)
    mesh = doc.current_mesh
    if not mesh is None:
        print(mesh.file_name)
    scene = doc.mesh_scene
    if scene is None:
        return
    scene.viewpoint_pos_x = -5
    scene.viewpoint_pos_y = 33
    scene.viewpoint_pos_z = 110
    scene.viewpoint_rot_x = 45
    scene.viewpoint_rot_y = 5
    scene.viewpoint_rot_z = 10
    print(round(scene.viewpoint_pos_x,1), round(scene.viewpoint_pos_y,1), round(scene.viewpoint_pos_z,1))
    print(round(scene.viewpoint_rot_x,1), round(scene.viewpoint_rot_y,1), round(scene.viewpoint_rot_z,1))

def load_meshes():
    doc = brainvoyager.active_document
    if doc is None:
        return
    scene = doc.create_mesh_scene()
    if scene is None:
        return
    # meshes located in this path 
    path = bv.sampledata_path + 'BrainTutorData/'
    brainvoyager.current_directory = path
    ok = scene.load_mesh(path + 'CG_LH.srf')
    if not ok:
        return
    ok = scene.add_mesh(path + 'CG_RH.srf')
    if not ok:
        return
    # merge meshes (default name of merged mesh is "MergedMeshes")
    scene.merge_meshes()
    mesh = scene.current_mesh
    if not mesh is None:
        print(mesh.file_name)
        mesh.save_as(path + 'CG_LHRH_Merged.srf')
        print(mesh.file_name)

def create_sph_mesh():
    doc = brainvoyager.active_document
    if doc is None:
        return
    scene = doc.create_mesh_scene()
    if scene is None:
        return
    scene.create_sphere_mesh_cba()
    mesh_sph = scene.current_mesh
    if not meshSph is None:
        print(os.path.dirname(os.path.abspath(mesh_sph.file_name)))

def save_snapshot():
    doc_vmr = brainvoyager.active_document
    scene = doc_vmr.mesh_scene
    if scene is None:
        return
    scene.save_snapshot_of_viewer('scene_snapshot1.png')

load_meshes()
access_mesh_scene()
#create_sph_mesh()
save_snapshot()
