
# Example of basic preprocessing pipeline of single FMR document
# More realistic preprocessing would loop over subjects, sessions, runs...
# For information about the parameters of the commands, see topic "FMR Document Commands"
# in the "Scripting" chapter of the "Python Developer Guide"

# we simply use current doc, which should be a non-preprocessed FMR document
# usually the document is created or opened via script command
doc_fmr = brainvoyager.active_document

doc_fmr.correct_slicetiming_using_timingtable(1)
preprocessed_file_name = doc_fmr.preprocessed_fmr_name
doc_fmr.close()
doc_fmr = brainvoyager.open(preprocessed_file_name) # Note that docFMR has been reassigned to the preprocessed one

doc_fmr.correct_motion()
#doc_fmr.correc_mMotion_ex(1, 2, 0, 100, 0, 0)
preprocessed_file_name = doc_fmr.preprocessed_fmr_name
doc_fmr.close()
doc_fmr = brainvoyager.open(preprocessed_file_name)

doc_fmr.filter_temporal_highpass_glm_fourier(2)
preprocessed_file_name = doc_fmr.preprocessed_fmr_name
doc_fmr.close()
doc_fmr = brainvoyager.open(preprocessed_file_name)

doc_fmr.smooth_spatial(4, "mm")
preprocessed_file_name = doc_fmr.preprocessed_fmr_name
doc_fmr.close()
doc_fmr = brainvoyager.open(preprocessed_file_name)

doc_fmr.smooth_temporal(2, "dp")
preprocessed_file_name = doc_fmr.preprocessed_fmr_name
doc_fmr.close()
doc_fmr = brainvoyager.open(preprocessed_file_name)
