from PySide6.QtCore import *
import numpy as np

def read_rtc(path_file):
    file = QFile(path_file)
    if not file.open(QIODevice.ReadOnly | QIODevice.Text):
        return []
    file_in = QTextStream(file)
    
    temp_s = QByteArray()
    temp_i = QByteArray()
    
    file_in >> temp_s >> temp_i
    print(temp_s)    
    n_rtcs = int(temp_i)
    print(n_rtcs)
    if n_rtcs != 1:
        return []

    file_in >> temp_s >> temp_i
    print(temp_s)    
    n_vals = int(temp_i)
    print(n_vals)
    
    file_in >> temp_s
    line = file_in.read_line() # FromFile

    file_in >> temp_s >> temp_i # cluster
    print(temp_s, temp_i)
    file_in >> temp_s >> temp_i # n_voxels
    print(temp_s, temp_i)
    file_in >> temp_s >> temp_i # X1 or e.g. TalX
    file_in >> temp_s >> temp_i # Y1 or e.g. TalY
    file_in >> temp_s >> temp_i # X2 or e.g. TalZ
    file_in >> temp_s >> temp_i # Y2 or e.g. NotUsed
    
    # now read data vector
    tc = []
    for i in range(n_vals):
        file_in >> temp_i
        val = float(temp_i)
        tc.append(val)
    file.close()
    return tc
    
def write_rtc(data_vec, path_file):
    file = QFile(path_file)
    if not file.open(QIODevice.WriteOnly | QIODevice.Text):
        return
    file_out = QTextStream(file)
    # 'header'
    n_vals = data_vec.shape[0]
    file_out << '\n'
    file_out << 'NrOfRTCs:   ' << '1\n'
    file_out << 'NrOfValues: ' << n_vals << '\n'
    file_out << '\n'
    file_out << 'FromFile:     none\n'
    file_out << 'FromCluster:  0\n'
    file_out << 'NrOfVoxels:   1\n'
    file_out << 'TalX:  0.0  TalY:  0.0\n'    
    file_out << 'TalZ:  0.0  NotUsed:  0.0\n'
    # save data vector
    # file_out.set_real_number_notation(QTextStream.FixedNotation)
    # file_out.set_real_number_precision(2)
    for i in range(n_vals):
        val = data_vec[i]
        # file_out << val << '\n' # does only write part before decimal point
        file_out << str(val) << '\n'
    file.close()
 
tc1 = read_rtc('/Users/rainer/Documents/BrainVoyager/SampleData/Jody_Open-VTC/Sample PRT & VTC/test1.rtc')
print(f'number of values {len(tc1)}')
#print(tc1)

tc2 = read_rtc('/Users/rainer/Documents/BrainVoyager/SampleData/Jody_Open-VTC/Sample PRT & VTC/test2.rtc')
print(f'number of values {len(tc2)}')
#print(tc2)

x = np.array(tc1)
y = np.array(tc2)
result = y - x
print(result)
print(result.shape) 
write_rtc(result, '/Users/rainer/Documents/BrainVoyager/SampleData/Jody_Open-VTC/Sample PRT & VTC/diff.rtc')
