doc = brainvoyager.active_document     # A VMR must be the current document 
mesh = doc.current_mesh                # A mesh must be available

# load surface maps with BV GUI or via script commands
#smp_filename = bv.choose_file("Select SMP File", "*.smp")
#mesh.load_maps(smp_filename)

n_smps = mesh.n_maps         # get number of surface maps
print(f'No. of surface maps: {n_smps}')

for l in range(10):                   # run 10 times through available maps
    for map_i in range(n_smps):
        print(mesh.map_name(map_i))
        mesh.clear_maps_visibility()  # otherwise map 'visible' property is set for all maps during loop by 'show_map()'
        mesh.show_map(map_i)          # sets 'visible' flag of specified map to 'True' but does not clear it for other maps
