//  CreateDocuments_GSG.js
//  Script for BrainVoyager 23+
//  By Rainer Goebel and Hester Breman
//

var GSGDicomDataPath = BrainVoyager.PathToSampleData + "GSGData_DICOM/";

// This is the code being directly executed
// now create the documents
BrainVoyager.PrintToLog("Create VMR document...");
Create_VMR_Document();
BrainVoyager.PrintToLog("Create mosaic FMR document...");
Create_Mosaic_FMR_Document();

// This code is only executed when invoked

function Create_VMR_Document()
{
    var sourceFolder = GSGDicomDataPath + "sourcedata/sub-01/ses-04/anat/t1w-nd/"
    var targetFolder = GSGDicomDataPath + "derivatives/sub-01/ses-04/anat"

    var docVMR = BrainVoyager.CreateDocumentVMR( "DICOM", sourceFolder + "JudEck_20181128_BI_Exercises_sess4-0008-0001-00001.dcm", 192, false, 256, 256, 2 );
    docVMR.SaveAs( "GSG_3DT1_SCRIPT.vmr") //  targetFolder + "/GSG_3DT1_SCRIPT.vmr" );
    // docVMR.Close();
}

function Create_Mosaic_FMR_Document()
{
    var sourceFolder = GSGDicomDataPath + "sourcedata/sub-01/ses-04/func/blocked_run1/"
    var targetFolder = GSGDicomDataPath + "derivatives/sub-01/ses-04/func/"
    var docFMR = BrainVoyager.CreateDocumentMosaicFMR("DICOM", sourceFolder + "JudEck_20181128_BI_Exercises_sess4-0002-0001-00001.dcm", 291, 0, true, 64, "gsg", false, 800, 800, 2, targetFolder, 1, 100, 100 );
    BrainVoyager.CopyFile(sourceFolder + "blocked.prt" ,  targetFolder + "blocked.prt"); // copy protocol from source DICOM folder to target folder
    docFMR.LinkProtocol( targetFolder + "/blocked.prt" );
    docFMR.SaveAs( "GSG_SCRIPT.fmr" );
    //docFMR.Close();
}


/* Document properties:
TR (property)
    set via: docFMR.TR = 2000;
InterSliceTime (property)
NrOfVolumes (property)
PixelSizeOfSliceDimX (property)
PixelSizeOfSliceDimY (property)
InterSliceTime (property)
SliceThickness  (property)
GapThickness  (property)
VoxelResolutionVerified (property)
TimeResolutionVerified (property)
FileNameOfPreprocessdFMR (property)
    get via: var newname = docFMR.FileNameOfPreprocessdFMR;
*/
