import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Pane {
    id: page2
    width: 400
    height: 250

    property alias condNameTF: condNameTF
    property alias checkBoxSingleIV: checkBoxSingleIV
    property alias intervalFromSpBx: intervalFromSpBx
    property alias intervalToSpBx: intervalToSpBx
    property alias checkBoxPRT: checkBoxPRT
    property alias condsListView: condsListView
    
    ColumnLayout {
        anchors.fill: parent
        
        RowLayout {
            id: condNameRLy
            Layout.fillWidth: true
    
            Label {
                id: conditionNameLbl
                text: "Condition name:"
            }
            TextField {
                id: condNameTF
                Layout.fillWidth: true
                placeholderText: "condition name"
                text: "interval"
                activeFocusOnPress: true
            }
        }

        Item {
            height: 6
        }
        CheckBox {
            id: checkBoxSingleIV
            checked: true
            onClicked: { checkBoxPRT.checked = !checked; if(checked) condNameTF.text = "interval" }
            text: "Use single interval per VTC"
        }
        GroupBox {
            Layout.fillWidth: true
        
            RowLayout {
                enabled: checkBoxSingleIV.checked
                Item { Layout.fillWidth: true } // horizontal spacer item
                Label {
                    Layout.margins: 15
                    text: "From:"
                }
                SpinBox {
                    id: intervalFromSpBx
                    Layout.maximumWidth: 60
                    from: 0
                    to: 999
                    value: 5
                    editable: true
                }
                Item { width: 20 }
                Label {
                    text: "To (N - value):"
                }
                SpinBox {
                    id: intervalToSpBx
                    Layout.maximumWidth: 60
                    from: 0
                    to: 999
                    value: 5
                    editable: true
                }
                Item { Layout.fillWidth: true } // horizontal spacer item
            }
        }

        Item {
            height: 6
        }
        CheckBox {
            id: checkBoxPRT
            checked: false
            onClicked: { checkBoxSingleIV.checked = !checked; if(checked) root.useProtocolForIntervals() }
            text: "Use protocol condition per VTC"
        }        
        GroupBox {
            id: prtGrpBx
            Layout.fillWidth: true
            Layout.fillHeight: true
        
            ListView {
                id: condsListView
                enabled: checkBoxPRT.checked
                //Layout.fillWidth: true /width: 150; height: 150 //Layout.fillWidth: true // width: 100; height: 100 //anchors.fill: parent
                //Layout.fillHeight: true
                anchors.fill: parent
                spacing: 6
                model: condsModel
                delegate: Label { // contactDelegate
                    text: idx + ": " + name
                    MouseArea {
                        id: condsMouseArea
                        anchors.fill: parent
                        onClicked: {
                            console.log("Clicked item: " + (index+1))
                            condsListView.currentIndex = index
                            condNameTF.text = condsModel.get(index).name
                        }
                    }
                }
                highlight: Rectangle { color: root.extra_hl_col; radius: 1; clip: true }
                focus: true
                clip: true
            }
            Component.onCompleted: if(bv.BVTheme) prtGrpBx.background.color = root.extra_bg_col
        }
    }
}
