doc = bv.ActiveDocument     // A VMR must be the current document 
mesh = doc.CurrentMesh     // A mesh must be available

// load surface maps with BV GUI or via script commands, e.g.:
// smp_filename = bv.BrowseFile("Select SMP File", "*.smp")
// mesh.LoadSurfaceMaps(smp_filename)

n_smps = mesh.NrOfSurfaceMaps         // get number of surface maps
print("No. of surface maps: " + n_smps)

for(var l = 0; l < 5; l++) {                // run 5 times through available maps
    for(var map_i = 0; map_i < n_smps; map_i++) {
        print(mesh.GetNameOfSurfaceMap(map_i + 1)) // expects 1-based map index
        mesh.ClearMapsVisibility()          // otherwise map 'visible' property is set for all maps during loop by 'ShowSurfaceMap()'
        mesh.ShowSurfaceMap(map_i + 1)      // sets 'visible' flag to 'true' of specified map but does not clear it for other maps
    }
}