import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

Pane {
    id: root
    width: 400
    height: 250

    ColumnLayout {
        anchors.fill: parent
        anchors.margins: 12

        Item { Layout.fillHeight: true } // vertical spacer item

        RowLayout {
            Item { Layout.fillWidth: true } // horizontal spacer item
            Label {
                text: "Strange New Worlds!"
            }
            Item { Layout.fillWidth: true } // horizontal spacer item
        }

        Item { Layout.fillHeight: true } // vertical spacer item

        RowLayout {

            Item { Layout.fillWidth: true } // horizontal spacer item

            Button {
                id: btnRun
                text: "Run"
                onClicked: { console.log("running..."); root.onRun() }
            }

            Button {
                id: btnRun2
                text: "Quit"
                onClicked: BrainVoyager.CloseDialog()
            }
        }
    }

    Component.onCompleted: {
        console.log("GUI script ready")
        BrainVoyager.PrintToLog("Hello from QML/JS GUI Script")
    }

    function onRun() {
        BrainVoyager.PrintToLog("Running GUI script...")
    }
}
